v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/blindinggroups
Creates blinding group.
Required sponsor roles are: clinical supply manager and site manager.
Rights: SupplySettingRightsPostThe field groupDifferentPackageTypes is optional. Grouping different package types will be allowed if groupDifferentPackageTypes flag is set to Yes. Otherwise, this API operations throws an error saying that there are multiple package types in such cases.
Required sponsor roles are: clinical supply manager and site manager.
Rights: SupplySettingRightsPostThe field groupDifferentPackageTypes is optional. Grouping different package types will be allowed if groupDifferentPackageTypes flag is set to Yes. Otherwise, this API operations throws an error saying that there are multiple package types in such cases.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : BlindingGroupRequest
Type:
objectTitle:
BlindingGroupRequestBlinding group parameters.
Show Source
-
defaultBlindingKit: string
Title:
Default Blinding KitID of the default kit in the blinding group.Example:392DA9F053E94B9B9339AC7D0FA0D1DB -
description(required): string
Minimum Length:
0Maximum Length:2000Blinding group description.Example:Blinded Group Lotion -
groupDifferentPackageTypes: string
Title:
Group Different Package TypesAllowed Values:[ "Yes", "No" ]Indicates whether different package types are grouped.Example:Yes -
kitTypes(required): array
kitTypes
Minimum Number of Items:
1Maximum Number of Items:2147483647List of kit types in the blinding group. -
title(required): string
Minimum Length:
0Maximum Length:50Blinding group title.Example:Blinded Group Lotion
Nested Schema : kitTypes
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
2147483647List of kit types in the blinding group.
Show Source
-
Array of:
object KitType
Kit types details object.
Nested Schema : KitType
Type:
objectKit types details object.
Show Source
-
countsPerPackage: number
(double)
Counts per package.Example:
5 -
description: string
Kit type descriptionExample:
Non-Dosing -
doNotDispense: number
(double)
Value to indicate whether to dispense kits or not.Example:
1 -
dosage: number
(double)
Dosage.Example:
1 -
id: string
(uuid)
Kit type Id
-
isDefault: boolean
Indicate if kit is default.Example:
true -
kitTypeId: string
(uuid)
Kit type Id
-
kitTypeName: string
Kit type nameExample:
Kit A -
minShippingUnits: number
(double)
Minimum Kits to Ship.Example:
10 -
packageTypeId: number
(double)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Unique ID corresponding to each package type value (1 for BLISTERPACK, 2 for BOTTLE, 3 for DEVICE, 4 for SYRINGE, 5 for OINTMENT, 6 for VIAL, 7 for INHALER, 8 for INFUSION, 9 for BOX, 10 for OTHER).Example:10 -
srcId: string
(uuid)
Id of the Study
-
srcVersionStart: string
(date-time)
Study version start
-
storageNeedId: number
(double)
Storage need ID.Example:
1 -
studyId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
-
studyVersionStart: string
(date-time)
Study version start
-
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Response
Supported Media Types
- application/json
201 Response
Successful operation
400 Response
Validation message OR The following required parameters are missing OR Blinding Group already exist OR Invalid kit type OR Kit type ID already belongs to another blinding group OR Kit Types belong to different package types OR At least 2 kit types needed for grouping OR The following parameter values are invalid
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Study not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object